Subject: Re: [PATCH 0/2] libfdt: problems with real life blobs

From: Jerry Van Baren <[email-masked]>
Date: Tue, 20 Feb 2007 08:02:14 -0500

David Gibson wrote:
> On Mon, Feb 19, 2007 at 01:00:57PM -0500, Jerry Van Baren wrote:
>> Hi David,
>>
>> I've been trying to use your libfdt in u-boot and my first step, get a 
>> value from the blob, failed terminally.  After poking about a bit, it 
>> appears that your libfdt and Jon Loeliger's dtc (-V 16) disagree with 
>> respect to the format of the blob - libfdt won't traverse the path.
> 
> That's certainly bad.
> 
>> I've created two patches:
> 
> Ug.  Damn.  Trouble is, for IBM paranoid procedural reasons, I'm not
> really in a position to accept patches for libfdt from outside at
> present.  I'm already working on fixing that, but there being a
> ponderous bureaucracy involved, it's going to take a little while.

That's OK, just call it "the illustration of advice formerly known as a 
patch."  I just hope I didn't poison the well. ;-)

Seriously, I don't claim copyright on the changes, that would be 
inappropriate their trivial nature.  I do understand IBM's paranoia, 
however.  }:-(

gvb